using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MainMenuUI_Manager : MonoBehaviour
{

    public SceneField startGameScene;
    public SceneField mazeDebugScene;
    //public float sceneDelay = 0.0f;

    public void startGame()
    {
        if (GetComponent<Scene_Manager>() != null)
            //GetComponent<Scene_Manager>().loadScene(startGameScene, sceneDelay);
            GetComponent<Scene_Manager>().loadSceneWithTransition(startGameScene, 0.5f);
    }

    public void mazeDebug()
    {
        if (GetComponent<Scene_Manager>() != null)
            //GetComponent<Scene_Manager>().loadScene(mazeDebugScene, sceneDelay);
            GetComponent<Scene_Manager>().loadSceneWithTransition(mazeDebugScene, 0.5f);
    }
}
